<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Test_PHPUnit_TestCase extends \PHPUnit_Framework_TestCase
{
    public function assertModelRowCount($modelName, $rowCount)
    {
        $countQuery = \Doctrine_Query::create()
            ->select('COUNT(1) as num_rows')
            ->from($modelName)
            ->fetchOne();

        $this->assertEquals($rowCount, $countQuery->num_rows);
    }
}