<?php

class DZF_ExceptionTests extends DZF_Helpers_TestCaseBase
{
    public function testFilterSession()
    {
        $sessionInput['Zend_Auth'] = ['storage' => [
            'password' => 'password',
            'password_salt' => 'password_salt',
            'salt' => 'salt'
        ]];

        $instance = DZF_Exception::filterSession($sessionInput);

        $this->assertNotNull($instance);
    }

    public function testToCustomArray()
    {
        $instance = DZF_Exception::toCustomArray(new DZF_Exception);

        $this->assertNotNull($instance);
    }
}
