<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_Mail_Transport_LocalQueue extends \Zend_Mail_Transport_Abstract
{
    /**
     * @var array
     */
    protected $_queue = array();

    /**
     * Adds sent mail to the local queue for testing purposes
     */
    protected function _sendMail()
    {
        $this->_queue[] = $this->_mail;
    }

    /**
     * @return array
     */
    public function getQueue()
    {
        return $this->_queue;
    }

    /**
     * @return void
     */
    public function clearQueue()
    {
        $this->_queue = array();
    }
}