<?php
/**
 * DZF
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions © 2012-2014 All rights reserved
 * @package DZF
 */

#namespace DeubertIt;

/**
 * @author Karsten Deubert <info@deubert.it>
 */
class DZF_View_Helper_FormatExternalLink extends \Zend_View_Helper_Abstract
{
    public function formatExternalLink($url)
    {
        $link = '<a href="'.$url.'" class="link-external" target="_blank" rel="nofollow">'.$this->view->escape($url).'</a>';

        return $link;
    }
}