<?php

class DZF_JobRunnerTests extends DZF_Helpers_TestCaseBase
{
    public function testConstruct()
    {
        $jobs = 'jobs';
        $jobName = 'jobName';
        new DZF_JobRunner($jobs, $jobName);
    }

    public function testExecute()
    {
        $jobs = array(array('service' => \DZF_Text::class, 'method' => 'getRandomString'));
        $jobName = 'jobName';
        $jobRunner = new DZF_JobRunner($jobs, $jobName);

        $jobRunner->execute();
    }

    public function testGetLogger()
    {
        $jobs = array(array('service' => \DZF_Text::class, 'method' => 'getRandomString'));
        $jobName = 'jobName';
        $jobRunner = new DZF_JobRunner($jobs, $jobName);

        $logger = $jobRunner->getLogger();

        $this->assertEquals(self::$logger, $logger);
    }
}
