<?php

class DZF_View_Helper_AbbreviatedRelativeDateTests extends DZF_Helpers_TestCaseBase
{
    public function testGetInstance()
    {
        $date = '2574432111';
        $years = date('Y') - date('Y', strtotime($date));
        $expected = '<abbr title="01.01. 00:00">vor ' . $years . ' Jahren</abbr>';

        $relativeTime = new DZF_View_Helper_AbbreviatedRelativeDate();

        $translate = $relativeTime->abbreviatedRelativeDate($date);

        $this->assertEquals($expected, $translate);
    }
}
